#version 460

// uniforms
uniform sampler2D tex;
uniform float width, gap;
uniform int div;
uniform vec4 diffuse, otherColor;

// interpolated inputs
in vec2 texCoord;

// output
out vec4 color;

void main() {

    color = texture(tex, texCoord * div);
}